# class Logger::Formatter

Default formatter for log messages.

### Constants

DatetimeFormat
Format

### Attributes

datetime_format [RW]

### Public Class Methods

new ()
Source

    # File lib/logger/formatter.rb, line 11
    def initialize
      @datetime_format = nil
    end

### Public Instance Methods

call (severity, time, progname, msg)
Source

    # File lib/logger/formatter.rb, line 15
    def call(severity, time, progname, msg)
      sprintf(Format, severity, format_datetime(time), Process.pid, severity, progname, msg2str(msg))
    end

### Private Instance Methods

format_datetime (time)
Source

    # File lib/logger/formatter.rb, line 21
    def format_datetime(time)
      time.strftime(@datetime_format || DatetimeFormat)
    end

msg2str (msg)
Source

    # File lib/logger/formatter.rb, line 25
    def msg2str(msg)
      case msg
      when ::String
        msg
      when ::Exception
        "#{ msg.message } (#{ msg.class })\n#{ msg.backtrace.join("\n") if msg.backtrace }"
      else
        msg.inspect
      end
    end